it-swarm-ja.com

Debian 8にdrush 8を適切にインストールする方法は?

Drushをインストールする方法に関する何百もの記事やドキュメントを見つけると、どれも正確にどの程度適切に失われたのかがわかりません。

Rootユーザー、NGinx、sshユーザーがいるDebian 8システムを持っています。
では、drush 8を使って、Drupal 8をまもなく準備します。
しかし、自分のサーバーにgitをインストールしたくありません-これは一般的な方法ですか?ソフトウェアは少なければ少ないほど良いと思いますか?

だから-gitなしでdrushをインストールする可能性はありますか?

すべての指示が忘れているように思われる次の事柄:どのユーザーとして、drushとcomposerをインストールする必要がありますか? (私はsshユーザーとしてこれを行いましたが、その結果、rootはdrushを使用できなくなりました)。

そして最終的に:drushをインストールするのに正しいディレクトリはどれですか?/usr/bin /?シンボリックリンク?または直接そこに? NGinxユーザー(www-data)は、drushを使用できる必要がありますか? (私はdrush pm-updateについてはいそうだと思いますか?)

ここで非常に失われました-誰かが光を当てることができることを願っています.

4
Chris

[更新]古いバージョン(Drush 5.10)に満足している場合は、Debianリポジトリからインストールできます。

Sudo apt-get update && Sudo apt-get install drush 

Gitは推奨パッケージですが、デフォルトでは自動インストールされません。リファレンス: https://packages.debian.org/jessie/drush

Drush 5が古すぎる場合は、いつでもオプションを再評価できます...

サーバー/ CMSなどにどのバージョン管理を使用していますか?バージョン管理を使用しない場合は、gitの使用方法を学ぶだけでよいと強く主張します。 IMOそれは私が今まで使用した中で最も素晴らしいvcシステムです... gitを使用すること(それをインストールするだけでなく)は、かなり一般的な開発プラクティスです!

Gitをインストールせずにdrushをインストールする方法はあるかもしれませんが、gitをインストールして、不要な場合は後で削除することもできます!? AFAIK drushは、インストールを完了するためにcomposerを必要とするようになり、gitも必要だと確信しています。したがって、おそらく弾丸を噛むだけです...

だから私の疑いは、それが可能であったとしても、それははるかに苦痛であり、周りをもっといじくるであろうということです...

記録のために、これは私がdrush(最新の開発バージョン)をインストールし、それを使用してdrupal8をインストールする方法です:

SRC=/usr/local/src
WEBROOT=/var/www/drupal
# install composer
curl -sS https://getcomposer.org/installer | php
mv composer.phar /usr/local/bin/composer

# install drush dev-master
git clone --depth 1 https://github.com/drush-ops/drush.git $SRC/drush
cd $SRC/drush
composer install
ln -s $SRC/drush/drush /usr/local/bin/drush
ln -s $SRC/drush/drush.complete.sh /etc/bash_completion.d/drush

mkdir -p /etc/drush
cat > /etc/drush/drushrc.php << EOF
<?php
// by default use the drupal root directory
\$options['r'] = '$WEBROOT';
EOF

# download latest drupal8 and install
drush dl drupal-8 --destination=$(dirname $WEBROOT)
mv $(dirname $WEBROOT)/drupal-8* $WEBROOT
1
Jeremy Davis

(リンクを修正し、Drush 8と9を明確にするために更新されました。)

Debian(2018年2月8日現在)にはDrush 5.10が付属していますが、これは完全に許容できません。

DrushのダウンロードにGitを使用する理由はありません。どちらか

  • 古いDrush 8(Drupal 8.3以前で機能し、Drupal 7を含む)で機能します)が必要な場合は、次の簡単な指示に従って単一のPHARファイルをダウンロードします。 http://docs.drush.org/en/8.x/install/ または
  • 現在のDrush 9が必要な場合は、サイトローカルDrush(Composerを使用)とDrush Launcher(PHARファイルとして)を http://docs.drush.org/en/master/install/
1
hansfn